Bug 1121565 - RFE: Language and completion detection
Summary: RFE: Language and completion detection
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Zanata
Classification: Retired
Component: Usability
Version: 3.4
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
: ---
Assignee: Luke Brooker
QA Contact: Zanata-QA Mailling List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-21 08:58 UTC by Zoltan Hoppar
Modified: 2016-04-18 09:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-29 02:46:11 UTC


Attachments (Terms of Use)

Description Zoltan Hoppar 2014-07-21 08:58:12 UTC
Description of problem:
We currently don't have an automated way in Zanata to detect which
languages are ready to be offered in the UI. It's currently a manual
process. I would like to ask for an RFE to have an presetable target percent that if is achieved makes an action (sends message to the maintainer, and/or activates/triggers the language in UI.)

Also would be great to have a plus sign or "request language button" or as in TX exists. With that you can see as teams are request for translations within projects inside this part of the UI: https://localized-zanatatest.itos.redhat.com/version-group/view/main/languages

Top list has here an button:
https://fedora.transifex.com/projects/p/authconfig/

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:

Missing functions

Expected results:
No such missing functions

Additional info:

Comment 1 Luke Brooker 2014-07-22 02:15:52 UTC
Hi Zoltan,

For the target percentage, do you see it being set once for all languages or separately for each. I think once for all would be a simpler and quicker way to do it, but I'd be interested to know of use cases if multiple configurations are needed.

As for a "request language button" we have a few ideas going around about this. One is to have either "active" or "inactive" languages.

- Active languages are shown by default and count towards statistics
- Inactive languages are hidden but can be shown by a translator and then translated. The would remain inactive until the maintainer decided to make them active or they could possible set a threshold of when to make an inactive language active, say 50%.

By doing this I think it allows translator to start straight away but also allows maintainers to check the quality of translations before they activate them.

Let me know if you prefer the Transifex way or you have other ideas.

Comment 2 Zanata Migrator 2015-07-29 02:46:11 UTC
Migrated; check JIRA for bug status: http://zanata.atlassian.net/browse/ZNTA-183


Note You need to log in before you can comment on or make changes to this bug.